/*
 * 11/01/2002
 *
 * ActionGoto
 * Auteur: Vouriot Thierry (Yeri)
 * Email: yeri@fr.st, thierry.vouriot@free.fr
 * Web: http://www.yeri.fr.st
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package tvouriot.elife.actions;
import tvouriot.elife.*;

/** Class grant l'action "goto"
 */
public class ActionGoto extends MenuAction {
    
    /** Constructeur
     */  
    public ActionGoto() {
        super("goto");
    }
    
    /** Action qui place le curseur  une ligne donne
     * @param actionEvent vnement gnrant l'action
     */    
    public void actionPerformed(java.awt.event.ActionEvent evt) {
        int line = 0;
        String response = Utilities.showInputQuestion(parent, "Ligne numro:", "Aller Ligne...");
        if (response != null) {
            try {
                line = Integer.parseInt(response);
            } 
            catch (Throwable th) { return; }
            parent.getTabbedPane().gotoLine(line);           
        }
    }
}



