/*
 * 11/01/2002
 *
 * MenuAction
 * Auteur: Vouriot Thierry (Yeri)
 * Email: yeri@fr.st, thierry.vouriot@free.fr
 * Web: http://www.yeri.fr.st
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package tvouriot.elife.actions;

import java.awt.event.*;
import tvouriot.elife.gui.*;

/** Class abstraite permettant de definir une action
 */
public abstract class MenuAction implements ActionListener {
    
    /** Fentre principale de l'application */    
    public static ElifeFrame parent = null;
    
    /** Nom de l'action */    
    protected String name;
    
    /** Cration d'une nouvelle action designe par son nom
     * @param name nom de l'action
     */
    public MenuAction(String name) {
        this.name = name;
    }
    
    /** Retourne le nom de l'action
     * @return nom de l'action
     */
    public String getName() {
        return name;
    }
}