/*
 * 11/01/2002
 *
 * PanelStatus
 * Auteur: Vouriot Thierry (Yeri)
 * Email: yeri@fr.st, thierry.vouriot@free.fr
 * Web: http://www.yeri.fr.st
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package tvouriot.elife.gui;

import java.awt.*;
import javax.swing.*;
import tvouriot.elife.*;

/** Panel contenant la barre d'tats de Elife
 */
public class PanelStatus extends JPanel {
    
    /** Label contenant le rpertoire de l'explorateur de fichiers */    
    private static final JLabel lblFile = new JLabel("",JLabel.LEFT);
    
    /** Constructeur
     */    
    public PanelStatus() {        
        super(new GridLayout(1,2));
        JLabel lblInfos = new JLabel("v"+Elife.RELEASE+" (build "+Elife.BUILD+")",JLabel.RIGHT);
        this.add(lblFile);  
        this.add(lblInfos);  
        lblInfos = null;
    }
    
    /** Change le texte du label contenant le rpertoire de l'explorateur de fichiers
     * @param txt chemin d'accs du nouveau rpertoire
     */    
    public static final void setFileText(String txt) {
        lblFile.setText(txt);
    }
}
