/*
 * 11/01/2002
 *
 * ElifeMenuSeparatorUI
 * Auteur: Vouriot Thierry (Yeri)
 * Email: yeri@fr.st, thierry.vouriot@free.fr
 * Web: http://www.yeri.fr.st
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package tvouriot.elife.menus;

import java.awt.*;
import javax.swing.*;
import javax.swing.plaf.ComponentUI;

/** Graphisme du sparateur de menus pour les menus plats
 */
public class ElifeMenuSeparatorUI extends javax.swing.plaf.metal.MetalSeparatorUI {
    
    public static ComponentUI createUI(JComponent c) {
        return new ElifeMenuSeparatorUI();
    }
    
    public void paint(Graphics g, JComponent c) {
        g.setColor(Color.black);
        g.drawLine(0, 0, c.getSize().width, 0);
    }
    
    public Dimension getPreferredSize(JComponent c) {
        return new Dimension(0, 1);
    }
}
