/*
 * 23/04/2002
 *
 * IndentOnEnter
 * Auteur: Vouriot Thierry (Yeri)
 * Email: yeri@fr.st, thierry.vouriot@free.fr
 * Web: http://www.yeri.fr.st
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package tvouriot.elife.textarea;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import tvouriot.elife.gui.*;
import org.gjt.sp.jedit.textarea.*;

/** Class grant l'appui de la touche "Entre" dans l'diteur et l'auto-indentation */
public final class IndentOnEnter implements ActionListener {
    
    /** Action qui effectue l'auto-indentation si cela est ncessaire
     * @param actionEvent vnement gnrant l'action
     */
    public void actionPerformed(ActionEvent evt) {
        ElifeTextArea textArea = (ElifeTextArea) InputHandler.getTextArea(evt);
        textArea.setSelectedText("\n");
        Indent.indent(textArea);
    }
}


